/**
 * P4
 * http://snarfed.org/space/p4
 *
 * Copyright 2001-2004
 * Ken Ashcraft <kashcraft+p4@gmail.com>
 * Ryan Barrett <p4@ryanb.org>
 * Maulik Shah <p4@maulik.net>
 * Nathan Stoll <nathanstoll+p4@gmail.com>
 *
 * File: debug_print.h
 *
 * A standard debugging function. If DEBUG is defined, debug_print works
 * exactly like printf (format strings and all). If DEBUG isn't defined,
 * debug_print is a noop.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _DEBUG_PRINT_H
#define _DEBUG_PRINT_H

#include <stdarg.h>

#define DEBUG

/** debug_print
 *
 * If the constant DEBUG is defined at compile time, this will print out the
 * format string and any format specifiers given as arguments. If DEBUG is
 * not defined, debug_print does nothing.
 */
int debug_print(char *str, ...);


#endif  // _DEBUG_PRINT_H
